package mi.hdm.components;

import javafx.geometry.Pos;
import javafx.scene.control.Label;
import javafx.scene.layout.HBox;
import mi.hdm.recipes.Measurement;

import java.util.Map;

public class IngredientLabel extends HBox {

    private final String name;
    private final int amount;
    private final Measurement measurement;

    public IngredientLabel(String name, int amount, Measurement measurement) {
        super();
        this.name = name;
        this.amount = amount;
        this.measurement =measurement;

        Label labelAmount = new Label(String.valueOf(amount) + " " + String.valueOf(measurement));
        Label labelName = new Label (name);

        getChildren().addAll(labelAmount, labelName);

        //setAlignment(Pos.BASELINE_LEFT);
        //setSpacing(5.0);
        //setStyle("-fx-padding: 5px");
    }
}
